How much overlap do you feel like dynamic workflows have with RLMs?
HN user
gfunk911
I love the modern game. I just think the pendulum has swung a tiny bit too far toward 3s in the past 3-4 years, that's all. Just a nudge in the other direction.
My ideal would be to try changing 2s and 3s to 3s and 4s. But that will never happen.
The comparison IMO is that how baseball is played changed over time as teams optimized, and some of those changes are undesirable from the perspective of an entertainment product. So MLB changed the rules to increase plays at the margin that are on average considered "more exciting."
Every league does this of course, NBA did it just last year with the stealth rule changes around fouls.
One of my favorite ridiculous stats. Bruce Bowen had one year where he shot better from 3 than he did on free throws. He was a dreadful shooter, but somehow he taught himself to be passable at this one specific skill, corner 3s.
Collaborative coding is powerful. But to be at your team’s most optimized state, you need automated branch management that enables multiple developers to commit code on a daily basis, without frustration. This can happen if your team’s branch is busy with many team members onboarding the same commit onramp. This can be frustrating for your team, but, more importantly, it gets in the way of shipping velocity. We don’t want that journey for you!
This is why we built merge queue. We’ve reduced the tension between branch stability and velocity. Merge queue takes care of making sure your pull request is compatible with other changes ahead of it and alerting you if something goes wrong. The result: your team can focus on the good stuff—write, submit, and commit. No tool sprawls here. This flow is still in the same place with the enablement of a modified merge button because GitHub remains your one-stop-shop for an integrated, enterprise-ready platform with the industry’s best collaboration tools.
In the NHL, you get 2 points for winning, 0 points for losing in regulation, and 1 point for losing in overtime.
The obvious result (to everyone but the creators of the rule I guess) is that, if a game is tied near the end of regulation, it is best for both sides if the game goes to overtime. There are 2 points available for a game decided in regulation, but 3 if decided in overtime. I assume both teams would sit quietly and wait for overtime if it were tolerated.
Do we know for a fact the breakdown of 2nd choices on ballots where Palin was the first choice? If not, you are only speculating.
It seems possible that Palin lost due to voters incorrectly expressing their preferences by not putting a 2nd choice. If that is a routine thing, then it is indeed a problem with ranked choice voting in the real world, but it is NOT a structural flaw as you are claiming.
I don't know whether this was true in the 1940s, but today, sliced bread is extremely different from other bread. Not because of the slicing, but because it's a very different, longer lasting product that also happens to be sliced.
This seems no different than Intel manufacturing fewer distinct things and using CPU locking to sell at more price points.
https://www.techopedia.com/definition/2239/cpu-lock
It’s cheaper to physically put the functionality in all the cars than to differentiate at assembly time. We don’t have the same visceral reaction to paying for options at the dealer.
(I am assuming they aren’t adding this charge RETROACTIVELY. That’s very different)
This is a good point, but there's also a key difference.
There's a big difference between "code being in one file" and "code being in one function." It sounds like the OP had something reasonably close to "one function," whereas the HN code has a lot of (what appear to be) small well designed methods.
# Retries a command a with backoff.
#
# The retry count is given by ATTEMPTS (default 100), the
# initial backoff timeout is given by TIMEOUT in seconds
# (default 5.)
#
# Successive backoffs increase the timeout by ~33%.
#
# Beware of set -e killing your whole script!
function try_till_success {
local max_attempts=${ATTEMPTS-100}
local timeout=${TIMEOUT-5}
local attempt=0
local exitCode=0
while [[ $attempt < $max_attempts ]]
do
"$@"
exitCode=$?
if [[ $exitCode == 0 ]]
then
break
fi
echo "Failure! Retrying in $timeout.." 1>&2
sleep $timeout
attempt=$(( attempt + 1 ))
timeout=$(( timeout * 40 / 30 ))
done
if [[ $exitCode != 0 ]]
then
echo "You've failed me for the last time! ($@)" 1>&2
fi
return $exitCode
}You brilliant lunatic
I might love this. Last time I checked on the Actions docs, they seemed to say a lot, while still leaving me confused somehow.
Exactly. I find it helps to also state that it doesn't mean "Don't Repeat Characters"
Ruby already has group_by, unless I'm misunderstanding what you're saying
Exactly. It is an interesting idea, but it makes me question the examples when `Enumerable` does not appear in the post.
Is the name Coconut an intentional homage to CoffeeScript?
Yes! As a kid, I specifically remember thinking that even the installer was cool.
Yes, obviously this. People who don't understand this either just want to argue, or haven't thought about this at all.
Because in America, public sector unions are the dominant unions, or at least the most visible, and those are very different. Agree strongly for private sector unions.
I do the exact same thing with Prettier. I get a little spark of joy every time my code snaps back into place :)
Thanks for the reply.
A bunch of the problems I had might be due to out of date js tools, since apparently Bazel has been breaking compatibility a lot pre 1.0. Things I pull from the docs of the main js/ts bazel libraries are more likely to error than work. Will wait a while for things to catch up now that it's 1.0 and check back in next year or something.
Thanks again.
What helped you push through the steep learning curve when you started? Asking cause I was excited recently to try Bazel specifically for a Typescript monorepo, and the learning curve crushed me.
Toptal is a great place to start. I used them for a while after I quit a previous job. It won't teach you how to find your own clients, but it will help ease you in.
Yes yes yes. People are trying to be polite by not starting a conversation with a demand, but it has the opposite effect.
I think I'm in love. Wrote a tiny k8s UI to do frequent tasks in 10 minutes, including learning curve.
I did not read thoroughly, but isn't the equivalence between 5k/month and $1mil only in terms of the amount you can take out each point to maintain your principal? Assuming that's the case, when you die you'd still have $1Mil in the lump sum scenario, as opposed to zero in the other....
Hoping this is mostly support
My instinct is that if perks have gone down but prices have stayed the same, that means that prices would have gone up if we kept the perks.
The airlines are not making huge profits. In fact, they seem to file for bankruptcy constantly. Even though bankruptcy is sometimes a ploy to renegotiate union contracts, they are clearly not making big profits. So if the (overall) higher price is not going to profits, it's going to increased costs of some kind.
Agree with this 100%. If you can do everything you want on the CLI then more power to you, but in my experience people using the CLI for diffs/staging include unrelated code in their commits at a much higher rate. I checkout/branch/pull/push in the CLI, and use Git Tower to diff and stage.